%define upstream_name    Date-Extract
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extract probable dates from strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(parent)
BuildArch: noarch

%description
Take an arbitrary block of text, search it for something that looks like a date
string, and extract it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-3.mga8
+ Revision: 1503730
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1282642
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.60.0-1.mga7
+ Revision: 1134200
- update to 0.06

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1025020
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 971741
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 892557
- Add description
- imported package perl-Date-Extract


* Sun Oct 18 2015 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
